Subject: Re: [rrg] Why a host-based solution does not necessarily add signalling load

From: [email-masked]
Date: Tue, 20 Jan 2009 04:39:39 EST

In einer eMail vom 20.01.2009 02:58:08 Westeuropäische Normalzeit schreibt  
[email-masked]:

As far  as I know, in terms of liveness testing of ETRs, there is no 
granularity  finer than the ETR to test.  So if we are using an ID / RLoc 
split,  the liveness testing we are interested in is the reachability / 
efficacy  of a given ETR.  [There is the additional complication of the 
ETR  being live, but not having reachability to the endpoint.  That is a  
different problem than the liveness problem described in the draft.  
There are many additional problems...)
...with strategy A   and B.  But back to this liveness  issue:
 
If I want to drive/route from NY/Broadway to Sausolito / Main  Street my best 
next hop might be derived from a proxy destination node in  L.A.(because the 
US country map doesn't show the Main Street of  Sausolito) While doing so why 
should I care for the liveness of this  L.A.-router ?!
Getting closer some S.F. -router might turn out to be the actual proxy  dest. 
And that one might be ignored, too, getting still closer. Will say:  Problem 
after problem which do not apply to strategy C.
 
Further point: Now the Compact Routing experts may investigate stretch-ETR  
:-) 
Factor 17 was so far the biggest stretch value I have read. How big is  
stretch-ETR ?
 
Further point:
Mobile homing in combination with mobility. With this respect strategies A  
and B are invitations to disaster.
Aren't they?
 
Heiner

Conversely, although the liveness testing must be on the basis  of 
individual ETRs, it does seem likely that many hosts in a site will be  
trying to reach endpoints behind the same set of ETRs.  As such,  having 
a border guy (or someone else, if you really want to complicate  life) 
testing / monitoring that liveness / reachability on behalf of the  
various sources within the site would seem likely to
1) reduce the  probing traffic
2) increase the odds of having accurate data when packets  need to be sent.

Yours,
Joel

Brian E Carpenter wrote:
>  Scott,
> 
>> As an endpoint, you are interested in reachability  of specific
>> endpoints.  You don't care if a whole prefix is  reachable, if the
>> particular endpoint isn't reachable within that  prefix.  So if you
>> delegate liveness monitoring to an agent,  you are asking it to monitor
>> specific locators. 
> 
>  The e2e principle seems to make it clear that, ultimately, liveness is
>  the endpoint's responsibility, but that is usually interpreted as a
>  statement about what the transport layer or above should do. And they
>  already do it, 100% independently of what we do in layer 3 and below.
>  I think that limiting layer 3 liveness detection to the prefix level
>  (except presumably in the case of Mobile IP) is a perfectly good
>  engineering compromise, unless we're planning to repudiate [Saltzer].
>  
>     Brian
> 
> [Saltzer] End-To-End  Arguments in System Design, J.H. Saltzer,
>    D.P.Reed,  D.D.Clark, ACM TOCS, Vol 2, Number 4, November 1984, pp
>     277-288.
> _______________________________________________
> rrg  mailing list
> [email-masked]
>  http://www.irtf.org/mailman/listinfo/rrg
>  
_______________________________________________
rrg mailing  list
[email-masked]
http://www.irtf.org/mailman/listinfo/rrg

_______________________________________________
rrg mailing list
[email-masked]
http://www.irtf.org/mailman/listinfo/rrg